Profile API
Profiles represent user accounts in Match Play. A user account can be the claimant for multiple player objects in tournaments.
Get self profile
GET /api/users/profileReturns the profile object for the user you are currently authenticated as.
Get profile
GET /api/users/{userId}Returns the profile for the given user id
Resolve unknown profiles
GET /api/users/resolve-unknownProvide a comma-separated list of user ids and receive the profile objects.
Query params
Name
Description
users (string)
Comma-separated list of user ids. Provide no more than 25 ids.
Last updated